Bug 1479083 - [RFE] Rebase cinnamon following RHEL 7.4
Summary: [RFE] Rebase cinnamon following RHEL 7.4
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: cinnamon
Version: epel7
Hardware: All
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Alternative GTK desktop environments
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-07 22:10 UTC by Pat Riehecky
Modified: 2017-11-22 13:28 UTC (History)
7 users (show)

Fixed In Version: cinnamon-3.6.5-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-22 00:58:43 UTC


Attachments (Terms of Use)

Description Pat Riehecky 2017-08-07 22:10:05 UTC
Description of problem:
Any chance cinnamon could be rebased to something newer now that RHEL7.4 has rebased gnome/gtk to 3.22.

I'm hitting a few issues that are fixed in more recent versions.  

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:
cinnamon-control-center-filesystem-2.8.0-2.el7.x86_64
cinnamon-screensaver-2.8.0-4.el7.x86_64
cinnamon-session-2.8.2-2.el7.x86_64
cinnamon-2.8.8-3.el7.x86_64
cinnamon-control-center-2.8.0-2.el7.x86_64
cinnamon-menus-2.8.0-2.el7.x86_64
cinnamon-settings-daemon-2.8.4-1.el7.x86_64
cinnamon-translations-2.8.1-2.el7.noarch
cinnamon-desktop-2.8.1-1.el7.x86_64


Expected results:
Any chance for cinnamon 3.4?

Additional info:

Comment 1 leigh scott 2017-08-07 22:32:20 UTC
I haven't got the time to do it, last time I checked cinnamon and cinnamon-screensaver had missing python3 deps that would building for epel.

Comment 2 Pat Riehecky 2017-08-08 13:10:37 UTC
I believe python34 managed to make it into EPEL-7 https://koji.fedoraproject.org/koji/buildinfo?buildID=898696

Comment 3 Björn 'besser82' Esser 2017-08-29 08:57:15 UTC
We are currently working on getting all needed stuff into EPEL7 to be able to:

* rebase the Cinnamon stack to 3.4 series
* having all the features from recent Fedora releases
* make it the same look and feel as on recent Fedora releases

Comment 4 Fedora Update System 2017-08-31 17:08:42 UTC
mintlocale-1.4.2-8.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-e0bdb65861

Comment 5 Fedora Update System 2017-08-31 17:21:22 UTC
blueberry-1.1.15-3.el7 bluez-tools-0.2.0-0.5.git20161212.97efd29.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-b8e1e80500

Comment 6 Fedora Update System 2017-08-31 17:44:22 UTC
lightdm-settings-1.1.1-5.el7 slick-greeter-1.0.8-11.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-aad223791b

Comment 7 Fedora Update System 2017-08-31 19:39:38 UTC
xapps-1.0.3-6.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-51819aa2bd

Comment 8 Fedora Update System 2017-08-31 22:19:24 UTC
arc-theme-20170302-7.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2017-08-31 22:19:29 UTC
lightdm-1.18.3-3.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2017-08-31 23:15:43 UTC
mint-x-icons-1.4.3-2.el7 mint-y-icons-1.0.8-5.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-8c0bb47a52

Comment 11 Fedora Update System 2017-08-31 23:15:50 UTC
xapps-1.0.3-6.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-51819aa2bd

Comment 12 Fedora Update System 2017-08-31 23:17:12 UTC
xapps-1.0.3-6.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-51819aa2bd

Comment 13 Fedora Update System 2017-08-31 23:17:18 UTC
mint-x-icons-1.4.3-2.el7 mint-y-icons-1.0.8-5.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-8c0bb47a52

Comment 14 Fedora Update System 2017-09-01 23:51:47 UTC
mintlocale-1.4.2-10.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-e0bdb65861

Comment 15 Fedora Update System 2017-09-01 23:53:38 UTC
mint-x-icons-1.4.3-2.el7 mint-y-icons-1.0.8-5.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-8c0bb47a52

Comment 16 Fedora Update System 2017-09-01 23:56:39 UTC
xapps-1.0.3-6.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-51819aa2bd

Comment 17 Fedora Update System 2017-09-02 20:49:13 UTC
mint-x-icons-1.4.3-2.el7, mint-y-icons-1.0.8-5.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2017-09-02 20:49:17 UTC
xapps-1.0.3-6.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Tuomo Soini 2017-09-02 20:55:54 UTC
arc-theme-plank-20170302-7.el7 requires plank which is not available on epel.

Please either provide plank or fix arc-theme not to build plank sub-package.

Comment 20 Fedora Update System 2017-09-02 22:07:33 UTC
arc-theme-20170302-8.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-f2d9be5724

Comment 21 Björn 'besser82' Esser 2017-09-02 22:11:24 UTC
(In reply to Tuomo Soini from comment #19)
> arc-theme-plank-20170302-7.el7 requires plank which is not available on epel.
> 
> Please either provide plank or fix arc-theme not to build plank sub-package.

I've kept the the plank sub-package, but removed Requires: plank;  additionally the sub-package properly owns %{_datadir}/plank.

This decision is based on the fact plank might appear at sometime in EPEL7.

Comment 22 Fedora Update System 2017-09-03 04:50:27 UTC
blueberry-1.1.15-5.el7, bluez-tools-0.2.0-0.5.git20161212.97efd29.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-b8e1e80500

Comment 23 Fedora Update System 2017-09-03 04:50:32 UTC
lightdm-settings-1.1.1-6.el7, slick-greeter-1.0.8-13.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-aad223791b

Comment 24 Fedora Update System 2017-09-03 04:50:36 UTC
mintlocale-1.4.2-10.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-e0bdb65861

Comment 25 Fedora Update System 2017-09-03 22:18:51 UTC
cinnamon-3.4.6-14.el7 cinnamon-control-center-3.4.0-7.el7 cinnamon-desktop-3.4.2-5.el7 cinnamon-menus-3.4.0-3.el7 cinnamon-screensaver-3.4.2-3.el7 cinnamon-session-3.4.2-2.el7 cinnamon-settings-daemon-3.4.4-3.el7 cinnamon-translations-3.4.2-2.el7 cjs-3.4.4-2.el7 muffin-3.4.1-3.el7 nemo-3.4.7-6.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-e7e0a85313

Comment 26 Fedora Update System 2017-09-03 23:27:50 UTC
cinnamon-3.4.6-14.el7 cinnamon-control-center-3.4.0-7.el7 cinnamon-desktop-3.4.2-5.el7 cinnamon-menus-3.4.0-3.el7 cinnamon-screensaver-3.4.2-3.el7 cinnamon-session-3.4.2-2.el7 cinnamon-settings-daemon-3.4.4-3.el7 cinnamon-translations-3.4.2-2.el7 cjs-3.4.4-2.el7 muffin-3.4.1-3.el7 nemo-3.4.7-6.el7 nemo-extensions-3.4.0-9.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-e7e0a85313

Comment 27 Fedora Update System 2017-09-03 23:49:14 UTC
blueberry-1.1.15-5.el7, bluez-tools-0.2.0-0.5.git20161212.97efd29.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 28 Fedora Update System 2017-09-03 23:49:18 UTC
lightdm-settings-1.1.1-6.el7, slick-greeter-1.0.8-13.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 29 Fedora Update System 2017-09-03 23:49:22 UTC
mintlocale-1.4.2-10.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 30 Fedora Update System 2017-09-03 23:49:28 UTC
arc-theme-20170302-8.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 31 Pat Riehecky 2017-09-06 19:45:10 UTC
https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-e7e0a85313 is in state unpushed.

Comment 32 Fedora Update System 2017-09-08 21:54:14 UTC
cinnamon-3.4.6-15.el7 cinnamon-control-center-3.4.0-8.el7 cinnamon-desktop-3.4.2-5.el7 cinnamon-menus-3.4.0-3.el7 cinnamon-screensaver-3.4.2-3.el7 cinnamon-session-3.4.2-2.el7 cinnamon-settings-daemon-3.4.4-3.el7 cinnamon-translations-3.4.2-2.el7 cjs-3.4.4-2.el7 muffin-3.4.1-3.el7 nemo-3.4.7-7.el7 nemo-extensions-3.4.0-9.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-e7e0a85313

Comment 33 Fedora Update System 2017-09-08 21:57:19 UTC
cinnamon-3.4.6-15.el7 cinnamon-control-center-3.4.0-8.el7 cinnamon-desktop-3.4.2-5.el7 cinnamon-menus-3.4.0-3.el7 cinnamon-screensaver-3.4.2-3.el7 cinnamon-session-3.4.2-2.el7 cinnamon-settings-daemon-3.4.4-3.el7 cinnamon-translations-3.4.2-2.el7 cjs-3.4.4-2.el7 muffin-3.4.1-3.el7 nemo-3.4.7-7.el7 nemo-extensions-3.4.0-9.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-e7e0a85313

Comment 34 Fedora Update System 2017-09-09 08:18:13 UTC
cinnamon-3.4.6-15.el7 cinnamon-control-center-3.4.0-8.el7 cinnamon-desktop-3.4.2-5.el7 cinnamon-menus-3.4.0-3.el7 cinnamon-screensaver-3.4.2-3.el7 cinnamon-session-3.4.2-2.el7 cinnamon-settings-daemon-3.4.4-3.el7 cinnamon-translations-3.4.2-2.el7 cjs-3.4.4-2.el7 muffin-3.4.1-3.el7 nemo-3.4.7-8.el7 nemo-extensions-3.4.0-9.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-e7e0a85313

Comment 35 Fedora Update System 2017-09-09 11:15:07 UTC
cinnamon-3.4.6-15.el7 cinnamon-control-center-3.4.0-8.el7 cinnamon-desktop-3.4.2-5.el7 cinnamon-menus-3.4.0-3.el7 cinnamon-screensaver-3.4.2-3.el7 cinnamon-session-3.4.2-3.el7 cinnamon-settings-daemon-3.4.4-3.el7 cinnamon-translations-3.4.2-2.el7 cjs-3.4.4-2.el7 muffin-3.4.1-3.el7 nemo-3.4.7-8.el7 nemo-extensions-3.4.0-9.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-e7e0a85313

Comment 36 Fedora Update System 2017-09-15 20:05:50 UTC
cinnamon-3.4.6-15.el7 cinnamon-control-center-3.4.0-8.el7 cinnamon-desktop-3.4.2-5.el7 cinnamon-menus-3.4.0-3.el7 cinnamon-screensaver-3.4.2-3.el7 cinnamon-session-3.4.2-3.el7 cinnamon-settings-daemon-3.4.4-3.el7 cinnamon-translations-3.4.2-2.el7 cjs-3.4.4-2.el7 muffin-3.4.1-3.el7 nemo-3.4.7-8.el7 nemo-extensions-3.4.0-9.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-e7e0a85313

Comment 37 Gabriel 2017-11-10 21:22:05 UTC
Does anyone has an update on this? Is Cinnamon 3.4 packages available/working for RHEL 7.4?

Thanks in advance!

Comment 38 Fedora Update System 2017-11-16 19:25:32 UTC
cinnamon-desktop-3.6.2-3.el7 cinnamon-menus-3.6.0-2.el7 cinnamon-session-3.6.0-1.el7 cinnamon-translations-3.6.2-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-e7e0a85313

Comment 39 Fedora Update System 2017-11-18 01:11:46 UTC
cinnamon-3.6.3-1.el7, cinnamon-control-center-3.6.3-1.el7, cinnamon-desktop-3.6.2-3.el7, cinnamon-menus-3.6.0-2.el7, cinnamon-screensaver-3.6.1-2.el7, cinnamon-session-3.6.0-1.el7, cinnamon-settings-daemon-3.6.1-1.el7, cinnamon-translations-3.6.2-1.el7, cjs-3.6.1-1.el7, mintlocale-1.4.4-1.el7, muffin-3.6.0-1.el7, nemo-3.6.3-1.el7, nemo-extensions-3.6.0-1.el7, xreader-1.6.0-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-e7e0a85313

Comment 40 Fedora Update System 2017-11-18 01:17:46 UTC
cinnamon-3.6.3-1.el7 cinnamon-control-center-3.6.3-1.el7 cinnamon-desktop-3.6.2-3.el7 cinnamon-menus-3.6.0-2.el7 cinnamon-screensaver-3.6.1-2.el7 cinnamon-session-3.6.0-1.el7 cinnamon-settings-daemon-3.6.1-1.el7 cinnamon-translations-3.6.2-1.el7 cjs-3.6.1-1.el7 mintlocale-1.4.4-1.el7 muffin-3.6.0-1.el7 nemo-3.6.3-1.el7 nemo-extensions-3.6.0-1.el7 xapps-1.0.4-11.el7 xreader-1.6.0-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-e7e0a85313

Comment 41 Fedora Update System 2017-11-18 01:18:45 UTC
cinnamon-3.6.3-1.el7 cinnamon-control-center-3.6.3-1.el7 cinnamon-desktop-3.6.2-3.el7 cinnamon-menus-3.6.0-2.el7 cinnamon-screensaver-3.6.1-2.el7 cinnamon-session-3.6.0-1.el7 cinnamon-settings-daemon-3.6.1-1.el7 cinnamon-translations-3.6.2-1.el7 cjs-3.6.1-1.el7 mintlocale-1.4.4-1.el7 muffin-3.6.0-1.el7 nemo-3.6.3-1.el7 nemo-extensions-3.6.0-1.el7 xapps-1.0.4-11.el7 xreader-1.6.0-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-e7e0a85313

Comment 42 Fedora Update System 2017-11-18 20:27:30 UTC
cinnamon-3.6.3-1.el7, cinnamon-control-center-3.6.3-1.el7, cinnamon-desktop-3.6.2-3.el7, cinnamon-menus-3.6.0-2.el7, cinnamon-screensaver-3.6.1-2.el7, cinnamon-session-3.6.0-1.el7, cinnamon-settings-daemon-3.6.1-1.el7, cinnamon-translations-3.6.2-1.el7, cjs-3.6.1-1.el7, mintlocale-1.4.4-1.el7, muffin-3.6.0-1.el7, nemo-3.6.3-1.el7, nemo-extensions-3.6.0-1.el7, xapps-1.0.4-11.el7, xreader-1.6.0-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-e7e0a85313

Comment 43 Fedora Update System 2017-11-19 19:29:15 UTC
cinnamon-3.6.3-1.el7 cinnamon-control-center-3.6.3-3.el7 cinnamon-desktop-3.6.2-3.el7 cinnamon-menus-3.6.0-2.el7 cinnamon-screensaver-3.6.1-2.el7 cinnamon-session-3.6.0-1.el7 cinnamon-settings-daemon-3.6.1-1.el7 cinnamon-translations-3.6.2-1.el7 cjs-3.6.1-1.el7 mintlocale-1.4.4-1.el7 muffin-3.6.0-1.el7 nemo-3.6.3-1.el7 nemo-extensions-3.6.0-1.el7 xapps-1.0.4-11.el7 xreader-1.6.0-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-e7e0a85313

Comment 44 Fedora Update System 2017-11-20 20:07:08 UTC
cinnamon-3.6.3-1.el7, cinnamon-control-center-3.6.3-3.el7, cinnamon-desktop-3.6.2-3.el7, cinnamon-menus-3.6.0-2.el7, cinnamon-screensaver-3.6.1-2.el7, cinnamon-session-3.6.0-1.el7, cinnamon-settings-daemon-3.6.1-1.el7, cinnamon-translations-3.6.2-1.el7, cjs-3.6.1-1.el7, mintlocale-1.4.4-1.el7, muffin-3.6.0-1.el7, nemo-3.6.3-1.el7, nemo-extensions-3.6.0-1.el7, xapps-1.0.4-11.el7, xreader-1.6.0-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-e7e0a85313

Comment 45 Fedora Update System 2017-11-20 20:12:45 UTC
cinnamon-3.6.5-1.el7 cinnamon-control-center-3.6.5-1.el7 cinnamon-desktop-3.6.2-3.el7 cinnamon-menus-3.6.0-2.el7 cinnamon-screensaver-3.6.1-2.el7 cinnamon-session-3.6.0-1.el7 cinnamon-settings-daemon-3.6.1-1.el7 cinnamon-translations-3.6.2-1.el7 cjs-3.6.1-1.el7 mintlocale-1.4.4-1.el7 muffin-3.6.0-1.el7 nemo-3.6.4-1.el7 nemo-extensions-3.6.0-1.el7 xapps-1.0.4-12.el7 xreader-1.6.0-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-e7e0a85313

Comment 46 Fedora Update System 2017-11-22 00:58:43 UTC
cinnamon-3.6.5-1.el7, cinnamon-control-center-3.6.5-1.el7, cinnamon-desktop-3.6.2-3.el7, cinnamon-menus-3.6.0-2.el7, cinnamon-screensaver-3.6.1-2.el7, cinnamon-session-3.6.0-1.el7, cinnamon-settings-daemon-3.6.1-1.el7, cinnamon-translations-3.6.2-1.el7, cjs-3.6.1-1.el7, mintlocale-1.4.4-1.el7, muffin-3.6.0-1.el7, nemo-3.6.4-1.el7, nemo-extensions-3.6.0-1.el7, xapps-1.0.4-12.el7, xreader-1.6.0-3.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 47 Björn 'besser82' Esser 2017-11-22 13:28:54 UTC
As we have finally successfully rebased Cinnamon Desktop to 3.6 series in EPEL 7, there will also be a group for easy installation on fresh installs of RHEL 7 / CentOS 7 / SL 7, called `Cinnamon Desktop`, in the next few days.

Installing all components of the Cinnamon Desktop environment will then be as easy as:

    `yum groups install 'Cinnamon Desktop'` (used with super user privileges)


Note You need to log in before you can comment on or make changes to this bug.